unit uBlobMain;

{******************************************************************************
Initial Author   :    Scott Price
Initially Created:    2003-10-20
Language         :    Object Pascal
Compiler Version :    Delphi 3.02, 4.03, 5.01, 6.02 (UK)
Copyright        :     Information Technology Sector Limited, 1996-2002

Source Code Constraints:
========================
   Distribution, disclosure or modifications of this source code, outside of
   any licenced agreements with Information Technology Sector Limited, or
   removal of this notice constitutes a breach of any or all license agreements.

Operating Systems Tested On:
============================
   Microsoft Windows(R) 98, First Edition
   Microsoft Windows(R) 2000, Service Pack 3

Design Notes:
=============

VERSION  AUTHOR                DATE/TIME
===============================================================================
$history$
$nokeywords$
===============================================================================
NOTES:
 - Much improved use of OOP and more maintainable unit as a result
===============================================================================
TODO:
******************************************************************************}


interface



uses
  { Borland Standard Units }
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, StdCtrls,
  ComCtrls,

  { Own Units }
  uScrollboxOptionsOne, uScrollboxOptionsTwo, uScrollboxOptionsThree,
  ExtCtrls;


type
  TfmSimpleBlobExample = class(TForm)
    pcOptions: TPageControl;
    tsOptionsOne: TTabSheet;
    tsOptionsTwo: TTabSheet;
    tsOptionsThree: TTabSheet;
    Panel1: TPanel;
    btnDispatchOrderToCustomer: TButton;
    procedure btnDispatchOrderToCustomerClick(Sender: TObject);
  private
    { Private declarations }
    FScrollOptionsOne: TOptionsOne;
    FScrollOptionsTwo: TOptionsTwo;
    FScrollOptionsThree: TOptionsThree;
    function GetUserInformation: TUserInformation;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;


var
  fmSimpleBlobExample: TfmSimpleBlobExample;



implementation



{$R *.dfm}

function TfmSimpleBlobExample.GetUserInformation: TUserInformation;
begin
  { Do the gathering of the user infomation into the record, etc }
end;

procedure TfmSimpleBlobExample.btnDispatchOrderToCustomerClick(
  Sender: TObject);
begin
  { Dispatch the current completed order to the User }
end;

constructor TfmSimpleBlobExample.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

  FScrollOptionsOne := TOptionsOne.Create(Self, tsOptionsOne);

  FScrollOptionsTwo := TOptionsTwo.Create(Self, tsOptionsTwo);

  FScrollOptionsThree := TOptionsThree.Create(Self, tsOptionsThree);
end;

end.
